package com.lightinit.hsdatashow.controller.admin;

import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.*;
import com.lightinit.hsdatashow.service.admin.ITourismCultureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping(value = "/admin/TourismCulture")
public class TourismCultureController {
    @Autowired
    private ITourismCultureService tourismCultureService;

    @RequestMapping(value = "/index.htm")
    public ModelAndView index() {
        ModelAndView modelAndView = new ModelAndView("admin/tourismCulture/index");
        return modelAndView;
    }

    @RequestMapping(value = "/getCulturalFalities.action")
    @ResponseBody
    public CulturalFalitiesListModel getCulturalFalities() {
        CulturalFalitiesListModel model = tourismCultureService.getCulturalFalities();
        return model;
    }

    @RequestMapping(value = "/getSpread.action")
    @ResponseBody
    public SpreadListModel getSpread() {
        SpreadListModel model = tourismCultureService.getSpread();
        return model;
    }

    @RequestMapping(value = "/getConsumption.action")
    @ResponseBody
    public ConsumptionListModel getConsumption() {
        ConsumptionListModel model = tourismCultureService.getConsumption();
        return model;

    }

    @RequestMapping(value = "/getOutPutValue.action")
    @ResponseBody
    public ResultState getOutPutValue() {
        ResultState model = tourismCultureService.getOutPutValue();
        return model;
    }

    @RequestMapping(value = "/getRatio.action")
    @ResponseBody
    public OutPutValueRatioListMOdel getRatio() {
        OutPutValueRatioListMOdel model = tourismCultureService.getRatio();
        return model;
    }
    @RequestMapping(value = "/getIndustry.action")
    @ResponseBody
    public IndustryListModel getIndustry() {
        IndustryListModel model = tourismCultureService.getIndustry();
        return model;
    }
}
